Bug 859208 - crash on 32bit ppc excluded from build via ExclusiveArch
crash on 32bit ppc excluded from build via ExclusiveArch
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: crash (Show other bugs)
18
ppc Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Anderson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 15:41 EDT by Ingvar Hagelund
Modified: 2013-01-20 10:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-20 10:33:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ingvar Hagelund 2012-09-20 15:41:33 EDT
Description of problem:
While updating my 32bit ppc box from fedora 17 to the latest almost-fedora-18 mash tree, the crash package is missing

Version-Release number of selected component (if applicable):
crash-6.0.8-2.fc18 is the latest ppc64 version, I think

How reproducible:
Every time

Steps to Reproduce:
1. yum install mash
  
Actual results:
No package crash available

Expected results:
Installing some version of crash

Additional info:
crash is at least building fine on 32bit ppc. I haven't got around to actually test it yet. I observe that there 32bit ppc is mentioned in the changelog, so up to some point, 32bit ppc support has existed.

Workaround, at least to get the package onboard, getting dependant packages installed: Rebuild the rpm with ppc included in the ExclusiveArch tag in the specfile. Builds just fine.

Ingvar
Comment 1 Dave Anderson 2012-09-20 15:48:47 EDT
Is there a 32-bit ppc Fedora kernel?
Comment 2 Ingvar Hagelund 2012-09-21 06:36:11 EDT
Sure.

http://ppc.koji.fedoraproject.org/koji/packageinfo?packageID=3142

Ingvar
Comment 3 Dave Anderson 2012-09-21 08:58:27 EDT
Ok, I wasn't even aware that there was such a thing.

Anyway, sure, "ppc" can be added to ExclusiveArch, although support
for it is a bit sketchy.  Support for the 32-bit arch in the crash 
utility was abandoned several years ago, but a couple guys from IBM
and NEC have recently resurrected it (somewhat).  I don't know what
state it's in w/respect to the latest Fedora kernel, as I only have
a couple sample 3.2-era vmcores that I can test on a ppc64 host. 

Note that the upstream src.rpm's crash.spec has this:

ExclusiveArch: %{ix86} alpha ia64 ppc ppc64 ppc64pseries ppc64iseries x86_64 s390 s390x arm

which can be found at:

 http://people.redhat.com/anderson

In any case, the next time I update the Fedora rawhide version, I'll add it.

Thanks,
  Dave
Comment 4 Dave Anderson 2012-10-01 14:49:55 EDT
Added ppc to ExclusiveArch with the latest upstream version 6.1.0:

 Information for build crash-6.1.0-1.fc19:
 http://koji.fedoraproject.org/koji/buildinfo?buildID=357655

 Changelog
 * Sat Sep 01 2012 Dave Anderson <anderson@redhat.com> - 6.1.0-1
 - Add ppc to ExclusiveArch list
 - Update to latest upstream release

Note You need to log in before you can comment on or make changes to this bug.